Skip to main content
`Ctrl`+`K`

# MatColoringWeightType

Type of weight scheme used for the coloring algorithm

## Synopsis

    typedef enum {
      MAT_COLORING_WEIGHT_RANDOM,
      MAT_COLORING_WEIGHT_LEXICAL,
      MAT_COLORING_WEIGHT_LF,
      MAT_COLORING_WEIGHT_SL
    } MatColoringWeightType;

## Values

- `MAT_COLORING_RANDOM` - Random weights

- `MAT_COLORING_LEXICAL` - Lexical weighting based upon global numbering.

- `MAT_COLORING_LF` - Last-first weighting.

## See Also

Matrices, `MatColoring`, `MatColoringCreate()`, `MatColoringSetWeightType()`, `MatColoringSetWeights()`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages